Bug 151094 - FILESAVE: Writer crashes on save after deleting a paragraph style
Summary: FILESAVE: Writer crashes on save after deleting a paragraph style
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.5.0 target:7.4.3 target:7.4.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2022-09-20 21:25 UTC by Gerry
Modified: 2022-10-05 07:55 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["rtl_uString_assign"]


Attachments
Crash on saving after deleting paragraph style .odt (15.10 KB, application/vnd.oasis.opendocument.text)
2022-09-20 21:25 UTC, Gerry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gerry 2022-09-20 21:25:53 UTC
Created attachment 182586 [details]
Crash on saving after deleting paragraph style .odt

Writer always crashes after I delete a style sheet and try to save the file. It crashes on saving.

Steps to reproduce:
1. Open attached file
2. Open Styles -> Manage Styles (Formatvorlagen verwalten) or hit F11.
3. Go to the paragraph style "TEXT" and perform a right mouse click on it and delete this paragraph style.
4. Save the file --> Writer crashes immediately.

Reproducibility: Always

Here several crash reports:
* https://crashreport.libreoffice.org/stats/crash_details/8fdbf192-2178-4a8e-ae57-e5005ce43da3
* https://crashreport.libreoffice.org/stats/crash_details/7d37b7ec-aac2-4e11-8476-9f74020ad941
* https://crashreport.libreoffice.org/stats/crash_details/f9486b7f-3e14-4dc8-a7cf-c1cab4e70639
* https://crashreport.libreoffice.org/stats/crash_details/b12a482a-ab64-4de8-a714-0a22edf1d01d
* https://crashreport.libreoffice.org/stats/crash_details/1674ac2e-0efd-4eb8-a989-126d75bc0b06

Version: 7.4.1.2 / LibreOffice Community
Build ID: 3c58a8f3a960df8bc8fd77b461821e42c061c5f0
CPU threads: 16; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: de-DE (de_DE.UTF-8); UI: de-DE
Calc: threaded
Comment 1 Telesto 2022-09-21 14:18:15 UTC
I got a crash once.. but could be a coincidence
Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 349e3af0c5dd5ed495ed61aab526f63c16f0e215
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL threaded

There is something strange happening.. Focus changes from List of styles, to Show Preview Drop Down when saving (using CTRL+S)
Comment 2 Telesto 2022-09-21 14:54:23 UTC
Got no 12 crash or so.. Except no reproducible steps :-( Feels like a timing issue. 

I got the same stack as the crash reporter
Comment 3 Xisco Faulí 2022-09-22 09:45:46 UTC
reproduced in

Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: 90861cc6f815b3f34edb88d47afed0d1099e72e7
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded
Comment 4 Xisco Faulí 2022-09-22 10:02:34 UTC
Regression introduced by:

author	Miklos Vajna <vmiklos@collabora.com>	2021-09-28 09:37:10 +0200
committer	Miklos Vajna <vmiklos@collabora.com>	2021-09-28 10:27:20 +0200
commit 05f863844d9a5613250e8d787e32752b270ec4d3 (patch)
tree 8c8c0d5db30d3390346b586dd6ac4a91e3a34058
parent 4dd6af856d574ad66ebb4b822a36ba70af9945e2 (diff)
sw: paragraph styles: add ODT filter for a linked character style

Bisected with: bibisect-linux64-7.3

Adding Cc: to Miklos Vajna
Comment 5 Commit Notification 2022-10-04 06:22:31 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3aff88ae021c571b6e218f6e2a0f62728bb86394

tdf#151094 ODT export: fix crash when linked paragraph style is deleted

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2022-10-04 09:58:00 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/e07996d47db47c755bb9061795e21822759c563f

tdf#151094 ODT export: fix crash when linked paragraph style is deleted

It will be available in 7.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2022-10-05 07:55:10 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-4-2":

https://git.libreoffice.org/core/commit/6bbb7140c938d8f494ce75be5b5c7a3ae440ca87

tdf#151094 ODT export: fix crash when linked paragraph style is deleted

It will be available in 7.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.